<?xml version="1.0" encoding="utf-8"?>
<com.yidian.nightmode.widget.YdConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app='http://schemas.android.com/apk/res-auto'
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_content"
        android:layout_width="wrap_content"
        android:layout_height="58dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:textColor="#FF333333"
        android:textSize="15sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.yidian.nightmode.widget.YdEditText
        android:id="@+id/et_content"
        android:layout_width="match_parent"
        android:layout_height="58dp"
        android:background="@null"
        android:gravity="center_vertical"
        android:includeFontPadding="false"
        android:textColor="#FF333333"
        android:textColorHint="#FFC2C2C2"
        android:textCursorDrawable="@drawable/shape_bg_input_cursor"
        android:textSize="15sp"
        android:textStyle="bold"
        app:layout_constraintTop_toBottomOf="@id/tv_content" />

    <com.yidian.nightmode.widget.YdImageView
        android:id="@+id/iv_clear"
        android:layout_width="23dp"
        android:layout_height="23dp"
        android:src="@drawable/bcommon_icon_clear"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/et_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/et_content" />

    <View
        android:id="@+id/view_divider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="#FFF2F2F2"
        app:layout_constraintTop_toBottomOf="@id/et_content" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_error_tips"
        android:layout_width="wrap_content"
        android:layout_height="27dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:textColor="#FFFF3A3A"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@id/et_content" />

</com.yidian.nightmode.widget.YdConstraintLayout>